Package com.xebialabs.xlrelease.domain.status

## Enum PhaseStatus

- java.lang.Object
- - java.lang.Enum<PhaseStatus>
  - - com.xebialabs.xlrelease.domain.status.PhaseStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PhaseStatus>`

      public enum PhaseStatus
      extends java.lang.Enum<PhaseStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORTED` |
    `COMPLETED` |
    `FAILED` |
    `FAILING` |
    `IN_PROGRESS` |
    `PLANNED` |
    `SKIPPED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasBeenStarted()` |
    `boolean` | `isActive()` |
    `boolean` | `isOneOf​(PhaseStatus... statuses)` |
    `java.lang.String` | `value()` |
    `static PhaseStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PhaseStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLANNED

          public static final PhaseStatus PLANNED

    - #### IN_PROGRESS

          public static final PhaseStatus IN_PROGRESS

    - #### COMPLETED

          public static final PhaseStatus COMPLETED

    - #### FAILING

          public static final PhaseStatus FAILING

    - #### FAILED

          public static final PhaseStatus FAILED

    - #### SKIPPED

          public static final PhaseStatus SKIPPED

    - #### ABORTED

          public static final PhaseStatus ABORTED

  - ### Method Detail

    - #### values

          public static PhaseStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PhaseStatus c : PhaseStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PhaseStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### hasBeenStarted

          public boolean hasBeenStarted()

    - #### isActive

          public boolean isActive()

    - #### isOneOf

          public boolean isOneOf​(PhaseStatus... statuses)